Search documentation of grizzly

# View Source Grizzly.ZWave.IconType (grizzly v7.4.2)

The installer icon type is used in Z-Wave Plus devices to allow interoperability with generic Z-Wave graphical user interfaces.

These interfaces are useful when using generic Z-Wave tooling and debugging to allow the user to get a meaningful representation of any product included in the network, and is mandatory according the Z-Wave Plus specification.

See `SDS11847 Z-Wave Plus Device Type Specification.pdf` Appendix A provided by Silicon Labs for more information.

# Summary

## Types

name()
value()

## Functions

to_name(arg1)

Get the icon type's name from a 16-bit integer value

to_value(arg1)

Get the 16-bit integer value from the icon type's name

# Types

Link to this type

# name()

View Source

    @type name() :: atom()

Link to this type

# value()

View Source

    @type value() :: 0..8707

# Functions

Link to this function

# to_name(arg1)

View Source

    @spec to_name(value()) :: {:ok, name()} | {:error, :unknown_icon_type}

Get the icon type's name from a 16-bit integer value

Link to this function

# to_value(arg1)

View Source

    @spec to_value(name()) :: {:ok, value()} | {:error, :unknown_icon_type}

Get the 16-bit integer value from the icon type's name